Bug 18435 - Message about Materials specified does not display when items are checked out and checked in
Summary: Message about Materials specified does not display when items are checked out...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17642
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-14 17:04 UTC by Kelly McElligott
Modified: 2017-05-23 23:23 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18435 - Language entered in Materials Specified does not display when items are checked out and checked in (2.17 KB, patch)
2017-04-14 17:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18435 - Language entered in Materials Specified does not display when items are checked out and checked in (2.39 KB, patch)
2017-04-14 18:41 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18435 - Language entered in Materials Specified does not display when items are checked out and checked in (2.46 KB, patch)
2017-04-24 14:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2017-04-14 17:04:16 UTC
Language entered in Materials Specified does not display when items are checked out and checked in.

When checking out an item out and checking in an item in 16.11, the information listed in "Materials Specified" 952 subfield 3 does not display or alert the librarian with this language. In previous releases, the language in "materials specified" was alerted to staff at both check in and checkout.
Comment 1 Nick Clemens 2017-04-14 17:11:21 UTC
Created attachment 62172 [details] [review]
Bug 18435 - Language entered in Materials Specified does not display when items are checked out and checked in

This problem stems from bug 17642, if items.materials is not linked to
an authorized value the contents are being tossed out. We shuold display
them instead

To test:
1 - Ensure items.materials 952$3 is not mapped to an authorized value
2 - Add a value to an item
3 - Check the item out, note the materials does not display
4 - Check the item in, note the materials does not display
5 - Apply patch
6 - Check the item out, note the materials does display
7 - Check the item in, note the materials does display
Comment 2 Marc Véron 2017-04-14 18:41:53 UTC
Created attachment 62173 [details] [review]
Bug 18435 - Language entered in Materials Specified does not display when items are checked out and checked in

This problem stems from bug 17642, if items.materials is not linked to
an authorized value the contents are being tossed out. We shuold display
them instead

To test:
1 - Ensure items.materials 952$3 is not mapped to an authorized value
2 - Add a value to an item
3 - Check the item out, note the materials does not display
4 - Check the item in, note the materials does not display
5 - Apply patch
6 - Check the item out, note the materials does display
7 - Check the item in, note the materials does display

Followed test plan, message about material displays as expected
whil checking out and in.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Jonathan Druart 2017-04-24 14:53:34 UTC
Created attachment 62611 [details] [review]
Bug 18435 - Language entered in Materials Specified does not display when items are checked out and checked in

This problem stems from bug 17642, if items.materials is not linked to
an authorized value the contents are being tossed out. We shuold display
them instead

To test:
1 - Ensure items.materials 952$3 is not mapped to an authorized value
2 - Add a value to an item
3 - Check the item out, note the materials does not display
4 - Check the item in, note the materials does not display
5 - Apply patch
6 - Check the item out, note the materials does display
7 - Check the item in, note the materials does display

Followed test plan, message about material displays as expected
whil checking out and in.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-04-24 17:18:34 UTC
Pushed to master for 17.05, thanks Nick!
Comment 5 Katrin Fischer 2017-05-13 11:44:27 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 6 Mason James 2017-05-23 23:23:46 UTC
Blocked by Enhancement (bz15799), skipping for 16.05.x